## org.red5.io.flv.impl
Class FLVService

    java.lang.Object
      org.red5.io.BaseStreamableFileService
          org.red5.io.flv.impl.FLVService

All Implemented Interfaces:
  IFLVService, IStreamableFileService

    public class FLVService

extends BaseStreamableFileService
implements IFLVService

A FLVServiceImpl sets up the service and hands out FLV objects to its callers.

Author:
  The Red5 Project (red5@osflash.org), Dominick Accattato (daccattato@gmail.com), Luke Hubbard, Codegent Ltd (luke@codegent.com), Paul Gregoire, (mondain@gmail.com)

Constructor Summary
`FLVService()`

Method Summary
`Deserializer` `getDeserializer()` Getter for deserializer
`String` `getExtension()` Getter for extension of file
`String` `getPrefix()` Getter for prefix.
`Serializer` `getSerializer()` Getter for serializer
`IStreamableFile` `getStreamableFile(File file)` Return streamable file reference.
`void` `setDeserializer(Deserializer deserializer)` Sets the deserializer
`void` `setGenerateMetadata(boolean generate)` Generate metadata or not
`void` `setSerializer(Serializer serializer)` Sets the serializer

Methods inherited from class org.red5.io.BaseStreamableFileService
`canHandle, prepareFilename, setExtension, setPrefix`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.red5.io.IStreamableFileService
`canHandle, prepareFilename, setExtension, setPrefix`

Constructor Detail

### FLVService

    public FLVService()

Method Detail

### getPrefix

    public String getPrefix()

  Getter for prefix. Prefix is used in filename composition to fetch real file name.

  Specified by:
    `getPrefix` in interface `IStreamableFileService`
  Specified by:
    `getPrefix` in class `BaseStreamableFileService`
  Returns:
    Prefix

### getExtension

    public String getExtension()

  Getter for extension of file

  Specified by:
    `getExtension` in interface `IStreamableFileService`
  Specified by:
    `getExtension` in class `BaseStreamableFileService`
  Returns:
    File extension that is used

### setSerializer

    public void setSerializer(Serializer serializer)

  Sets the serializer

  Specified by:
    `setSerializer` in interface `IFLVService`
  Parameters:
    `serializer` - Serializer object

### setDeserializer

    public void setDeserializer(Deserializer deserializer)

  Sets the deserializer

  Specified by:
    `setDeserializer` in interface `IFLVService`
  Parameters:
    `deserializer` - Deserializer object

### getStreamableFile

    public IStreamableFile getStreamableFile(File file)
                                      throws IOException

  Return streamable file reference. For FLV files returned streamable file already has generated metadata injected.

  Specified by:
    `getStreamableFile` in interface `IStreamableFileService`
  Specified by:
    `getStreamableFile` in class `BaseStreamableFileService`
  Parameters:
    `file` - File resource
  Returns:
    Streamable file resource
  Throws:
    `IOException` - Thrown if there were problems accessing given file

### setGenerateMetadata

    public void setGenerateMetadata(boolean generate)

  Generate metadata or not

  Parameters:
    `generate` - `true` if there's need to generate metadata, `false` otherwise

### getSerializer

    public Serializer getSerializer()

  Getter for serializer

  Returns:
    Serializer

### getDeserializer

    public Deserializer getDeserializer()

  Getter for deserializer

  Returns:
    Deserializer

Copyright © 2006-2010 The Red5 Project